<?php
if (!defined("ADMIN")) {
	die('HACKING ATTEMPT!!!');
}
if(!empty($_GET['restart'])){
mysql_query("UPDATE data SET activ='0',vklad='0',vyvod='0',plus='0.00',`with`='0.00',reinvest='0.00',plus_n='',with_n=''") or die(mysql_error());
mysql_query("TRUNCATE TABLE operations") or die('cant truncate operations');
mysql_query("TRUNCATE TABLE online") or die('cant truncate online');
mysql_query("OPTIMIZE TABLE  data,online,operations,reviews,screens,users") or die('cant optimize');
$done=1;
}

$mess='&nbsp;';

if(!empty($_GET['screens'])){
mysql_query("TRUNCATE TABLE screens") or die('cant truncate screens');
mysql_query("UPDATE data SET screens_count='0'") or die(mysql_error());
if($d=opendir('screens/')){
while(false!==($f=readdir($d))) {
if($f!="." && $f!=".."){
unlink('screens/'.$f) or die('Файлы не удалены');
}
}
closedir($d);
}

$mess='&nbsp;Скрины удалены';
}

if(!empty($_GET['reviews'])){
mysql_query("TRUNCATE TABLE reviews") or die('cant truncate reviews');
mysql_query("UPDATE data SET reviews_count='0'") or die(mysql_error());
$mess='&nbsp;Отзывы удалены';
}

?>
<table class="restart_table" cellpadding="0px" cellspacing="0px">
<tr>
<td class="restart_text">
<font color="red">1.</font> В файле настроек установить дату рестарта
<br><font color="red">2.</font> Вклад и Вывод должны быть зелёными
<br><font color="red">3.</font> Нажать кнопку "Рестарт"
</td>
<td class="restart_right">

<?php if(empty($done)){ ?>
<a href="/admin.php?page=restart&restart=1">РЕСТАРТ</a>
<?php }else{ ?>
<font>Рестарт выполнен :)</font>
<?php } ?>

</td>
</tr>
</table>

<div class="restart_message"><?php echo $mess; ?></div>

<table align="center" class="restart_deletes" cellpadding="0px" cellspacing="0px">
<tr>
<td align="right"><font>Удалить</font>&nbsp;&nbsp;&nbsp;&nbsp;</td>
<td><a href="/admin.php?page=restart&screens=1">Скрины</a></td>
<td><a href="/admin.php?page=restart&reviews=1">Отзывы</a></td>
</tr>
</table>
